'AddExplorerOptions.vbs
'Add Options in View - Folder Options - View - Advanced
'
'Serenity Macros 	http://www.angelfire.com/biz/serenitymacros 
'David Candy	davidc@sia.net.au
'
On Error Resume Next
strExplain="AddExplorerOptions.vbs adds to the custom options in View - Folder Options - View - Advanced." &vbCRLF & vbCRLF & "The following file is required to be in the same directory as this program," &vbCRLF & vbCRLF & "Explorer Options.reg"  &vbCRLF & vbCRLF & "Continue?"
strTitle="Add Options in Folder Options - Advanced"
HaveError=""
Dim Sh
Set Sh = WScript.CreateObject("WScript.Shell")
ReportErrors "Creating Shell"
Sh.RegWrite "HKLM\Software\Microsoft\Windows\CurrentVersion\App Paths\" & Wscript.ScriptName & "\", Chr(34) & Wscript.ScriptFullName & Chr(34) 
Sh.RegWrite "HKLM\Software\Microsoft\Windows\CurrentVersion\App Paths\" & Left(Wscript.ScriptName, Len(Wscript.ScriptName)-3) & "exe" & "\", Chr(34) & Wscript.ScriptFullName & Chr(34) 
ReportErrors "Updating App Paths"
If MsgBox(strExplain ,vbYesNo + vbQuestion, strTitle) =6 Then

	sh.Run Chr(34) & "Explorer Options.reg" & Chr(34)
	If err.number<>0 then HaveError="Yes"
	ReportErrors "Adding Explorer Options"
	If HaveError="Yes" Then 
		MsgBox "Make sure the file 'Explorer Options.reg' are in the same directory as this program", vbOKOnly + vbCritical, strTitle
	Else
		Msgbox "Extra options added",vbOKOnly + vbInformation, strTitle
	End If
End If

VisitSerenity


Sub ReportErrors(strModuleName)
	If err.number<>0 then Msgbox "An unexpected error occurred. This dialog provides details on the error." & vbCRLF & vbCRLF & "Error Details " & vbCRLF & vbCRLF & "Script Name" & vbTab & Wscript.ScriptFullName & vbCRLF & "Module" & vbtab & vbTab & strModuleName & vbCRLF & "Error Number" & vbTab & err.number & vbCRLF & "Description" & vbTab & err.description, vbCritical + vbOKOnly, "Something unexpected"
	Err.clear
End Sub


Sub VisitSerenity
	If MsgBox("This program came from the Serenity Macros Web Site" & vbCRLF & vbCRLF & "Would you like to visit Serenity's Web Site now?", vbQuestion + vbYesNo + vbDefaultButton2, "Visit Serenity Macros") =6 Then
		sh.Run "http:\\www.angelfire.com\biz\serenitymacros"
	End If
End Sub